using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.FO
{
    [Description("作业流程及安全措施确认")]
    public class T_FO_JOB_EVENT_FLOW : MesEntityBase
    {
        [Description("作业活动记录(一般)表ID")]
        [DataFieldForeignKey("Nav_JobEventRecord", "Nav_Flow")]
        public Guid JOB_EVENT_RECORD_ID { get; set; }

        [Description("导航属性：作业活动记录(一般)表")]
        public virtual T_FO_JOB_EVENT_RECORD Nav_JobEventRecord { get; set; }

        [Description("序号")]
        public int? NUM { get; set; }
        [Description("作业流程及安全措施")]
        [DataFieldLength(500)]
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        public string SafeMeasuresStr { get; set; }

        [Description("是否确认")]
        public bool IS_CONFIRM { get; set; }



        [Description("导航属性：作业活动记录(一般)附件表")]
        [FormFieldEdit]
        public ICollection<T_FO_JOB_EVENT_FLOW_FILE> Nav_Files { get; set; }



    }
}
